# Lấy danh sách máy nhánh

{% hint style="info" %}
**Lưu ý:**

* Đối với các API sử dụng cho Shop thì API\_KEY: [`<api_key>`](/tich-hop-api/shop/tai-khoan.md#api-key).Thông tin base\_url của [Shop](/tich-hop-api/shop/tai-khoan.md)
* Đối với các API sử dụng cho Partner thì API\_KEY: [`<shop_key>`](/tich-hop-api/partner/su-dung.md#ket-noi-lan-thu-hai-tro-di).Thông tin base\_url của [Partner](/tich-hop-api/partner/tai-khoan.md)
  {% endhint %}

{% openapi src="/files/N9gsIXHbM9SnjpzOZHTn" path="$BASE\_URL.Etelecom/GetExtensions" method="post" %}
[swagger\_partner\_v2.json](https://4211996220-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9CUTEBoYNqJaZqxNp3Eh%2Fuploads%2FPioshmLP8r8z5BiNIuvH%2Fswagger_partner_v2.json?alt=media\&token=cc33298f-4b27-4180-9cdf-89d6e1ed3935)
{% endopenapi %}

**Request:**

```json
curl --location '$BASE_URL.Etelecom/GetExtensions' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API-KEY' \
--data '{
  "paging": {
    "after": "<string>",
    "before": "<string>",
    "limit": "<integer>",
    "sort": "<string>"
  }
}'
```

**Response:**

```json
{
  "extensions": [
    {
      "account_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "expires_at": "2019-08-24T14:15:22Z",
      "extension_number": "string",
      "extension_password": "string",
      "hotline_id": "string",
      "id": "string",
      "state": "Z",
      "subscription_id": "string",
      "tenant_domain": "string",
      "tenant_id": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "user_id": "string"
    }
  ],
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "next": "string",
    "prev": "string",
    "sort": "string"
  }
}
```

**Cấu trúc thuộc tính dữ liệu trả về:**

<table><thead><tr><th width="265">Tên trường</th><th width="182.33333333333331">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>ID máy nhánh</td></tr><tr><td>extension_number</td><td>string</td><td>Số máy nhánh</td></tr><tr><td>extension_password</td><td>string</td><td>Mật khẩu máy nhánh</td></tr><tr><td>tenant_domain</td><td>string</td><td>Domain tổng đài</td></tr><tr><td>hotline_id</td><td>string</td><td>ID hotline được gán cho máy nhánh</td></tr><tr><td>created_at</td><td>string</td><td>Ngày khởi tạo máy nhánh</td></tr><tr><td>expires_at</td><td>string</td><td>Ngày hết hạn máy nhánh (VD: "2021-03-10T17:07:19+07:00")</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/tich-hop-api/tong-dai/api-tong-dai/lay-danh-sach-may-nhanh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
